Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery
Class FunctionId

    java.lang.Object
      org.exist.xquery.FunctionId

All Implemented Interfaces:
  java.lang.Comparable

public class FunctionId
extends java.lang.Object
implements java.lang.Comparable

Used to uniquely identify a function by its function name and arity.

Author:
  wolf

Constructor Summary
`FunctionId(QName qname, int arguments)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionId

    public FunctionId(QName qname,
                      int arguments)

Method Detail

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.